package com.gic.haoban.manage.api.service;

import com.gic.haoban.manage.api.dto.CheckFriendSettingDTO;
import com.gic.haoban.manage.api.dto.ExternalUserDTO;
import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;

/**
 * Created 2021/5/31.
 *
 * @author hua
 */
public interface CheckQywxSettingApiService {
    /**
     * 设置好友添加流程
     *
     * @param wxEnterpriseId
     * @param name
     */
    void setFriendSetting(String wxEnterpriseId, String name);

    /**
     * 获取设置的好友流程
     */
    CheckFriendSettingDTO getFriendSetting();

    /**
     * 校验保存
     *
     * @param externalUserDTO
     * @param dto
     */
    void saveFriendCallback(String wxEnterpriseId, ExternalUserDTO externalUserDTO, MemberUnionidRelatedDTO dto);

    /**
     * 通知到好办告警群 异步回调
     *
     * @param params
     */
    void alertCallback(String params);
}
